Skip to content
Start here

Upsert zone environments

client.zones.environments.update(EnvironmentUpdateParams { zone_id, environments } params, RequestOptionsoptions?): EnvironmentUpdateResponse { environments }
PUT/zones/{zone_id}/environments

Upsert zone environments

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Versioning Write
ParametersExpand Collapse
params: EnvironmentUpdateParams { zone_id, environments }
zone_id: string

Path param: Identifier of the zone.

environments: Array<Environment>

Body param

expression: string
locked_on_deployment: boolean | null
name: string
position: ListCursor { after, before }
after?: string
before?: string
ref: string
version: number | null
formatint64
http_application_id?: string | null
ReturnsExpand Collapse
EnvironmentUpdateResponse { environments }
environments: Array<Environment>
expression: string
locked_on_deployment: boolean | null
name: string
position: ListCursor { after, before }
after?: string
before?: string
ref: string
version: number | null
formatint64
http_application_id?: string | null

Upsert zone environments

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const environment = await client.zones.environments.update({
  zone_id: 'zone_id',
  environments: [
    {
      expression: 'expression',
      locked_on_deployment: true,
      name: 'name',
      position: {},
      ref: 'ref',
      version: 0,
    },
  ],
});

console.log(environment.environments);
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "environments": [
      {
        "expression": "expression",
        "locked_on_deployment": true,
        "name": "name",
        "position": {
          "after": "yyy",
          "before": "xxx"
        },
        "ref": "ref",
        "version": 0,
        "http_application_id": "http_application_id"
      }
    ]
  },
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "environments": [
      {
        "expression": "expression",
        "locked_on_deployment": true,
        "name": "name",
        "position": {
          "after": "yyy",
          "before": "xxx"
        },
        "ref": "ref",
        "version": 0,
        "http_application_id": "http_application_id"
      }
    ]
  },
  "success": true
}